image: Visual Studio 2017

# Fix line endings in Windows. (runs before repo cloning)
init:
  - git config --global core.autocrlf input

environment:
  JAVA_HOME: C:\Program Files\Java\jdk1.8.0
  matrix:
    - nodejs_version: 10

# Finish on first failed build
matrix:
  fast_finish: true

platform:
  - x64

branches:
  only:
    - master

# Disable Visual Studio build and deploy
build: off
deploy: off

install:
  - ps: Install-Product node $env:nodejs_version $env:platform
  - yarn install --frozen-lockfile

test_script:
  - node --version
  - yarn lint
#  - yarn flow-ci
  - yarn build
  - yarn test
  - yarn prettier

cache:
 - node_modules
 - "%LOCALAPPDATA%/Yarn"
